diff --git a/scripts/GenMsgJava.py b/scripts/GenMsgJava.py
index da5f7c2..7292fb4 100644
--- a/scripts/GenMsgJava.py
+++ b/scripts/GenMsgJava.py
@@ -1,3 +1,5 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 ## ----------------------------------------------------------------------------
 ## CERTI - HLA RunTime Infrastructure
 ## Copyright (C) 2002-2005  ONERA
@@ -24,26 +26,33 @@
 The CERTI Message Generator.
 Java Backend Generator
 """
+
 import logging
 import GenMsgBase
 import GenMsgAST
 import sys
 
+
 class JavaGenerator(GenMsgBase.CodeGenerator):
+
     """
     This is a Java generator for C{MessageAST}.
     """
-    
+
     def generatorName(cls):
-        return "Java"    
+        return 'Java'
+
     generatorName = classmethod(generatorName)
-    
+
     def __init__(self, MessageAST):
-        super(JavaGenerator, self).__init__(MessageAST, "//")
+        super(JavaGenerator, self).__init__(MessageAST, '//')
+
         # Message builtin type to Java type
         # Note that java integer type are ALL signed:
         # http://java.sun.com/docs/books/tutorial/java/nutsandbolts/datatypes.html
-        self.builtinTypeMap = {'onoff': 'boolean',
+
+        self.builtinTypeMap = {  # 'FederateHandleSet': 'FederateHandleSet',
+            'onoff': 'boolean',
             'bool': 'boolean',
             'string': 'String',
             'byte': 'byte',
@@ -60,9 +69,10 @@ class JavaGenerator(GenMsgBase.CodeGenerator):
             'Tag': 'byte[]',
             'Extents': 'List<CertiExtent>',
             'SuppliedParameters': 'SuppliedParameters',
-            #'FederateHandleSet': 'FederateHandleSet',
-            'Regions': 'List<Long>'}
-        self.serializeTypeMap = {'onoff': 'messageBuffer.write(%s);',
+            'Regions': 'List<Long>',
+            }
+        self.serializeTypeMap = {
+            'onoff': 'messageBuffer.write(%s);',
             'bool': 'messageBuffer.write(%s);',
             'string': 'messageBuffer.write(%s);',
             'byte': 'messageBuffer.write(%s);',
@@ -81,10 +91,12 @@ class JavaGenerator(GenMsgBase.CodeGenerator):
             'SuppliedAttributes': 'messageBuffer.write(%s);',
             'SuppliedParameters': 'messageBuffer.write(%s);',
             'FederateHandleSet': 'messageBuffer.write(%s);',
-            'LogicalTimeInterval':'messageBuffer.write(%s);',
+            'LogicalTimeInterval': 'messageBuffer.write(%s);',
             'Extents': 'messageBuffer.write(%s);',
-            'Regions': 'messageBuffer.writeRegions(%s);'}
-        self.deserializeTypeMap = {'onoff': '%s = messageBuffer.readBoolean();',
+            'Regions': 'messageBuffer.writeRegions(%s);',
+            }
+        self.deserializeTypeMap = {
+            'onoff': '%s = messageBuffer.readBoolean();',
             'bool': '%s = messageBuffer.readBoolean();',
             'string': '%s = messageBuffer.readString();',
             'byte': '%s = messageBuffer.readByte();',
@@ -103,15 +115,19 @@ class JavaGenerator(GenMsgBase.CodeGenerator):
             'SuppliedAttributes': '%s = messageBuffer.readSuppliedAttributes();',
             'SuppliedParameters': '%s = messageBuffer.readSuppliedParameters();',
             'FederateHandleSet': '%s = messageBuffer.readFederateHandleSet();',
-            'LogicalTimeInterval':'%s = messageBuffer.readLogicalTimeInterval();',
+            'LogicalTimeInterval': '%s = messageBuffer.readLogicalTimeInterval();',
             'Extents': '%s = messageBuffer.readExtents();',
-            'Regions': '%s = messageBuffer.readRegions();'}
+            'Regions': '%s = messageBuffer.readRegions();',
+            }
 
     def writeFieldStatement(self, stream, field):
         if field.hasDefaultValue():
-            stream.write(self.getTargetTypeName(field.typeid.name) + " " + field.name + "=" + str(field.defaultValue) + ";\n")
+            stream.write(self.getTargetTypeName(field.typeid.name) + ' '
+                          + field.name + '=' + str(field.defaultValue)
+                         + ';\n')
         else:
-            stream.write(self.getTargetTypeName(field.typeid.name) + " " + field.name + ";\n")
+            stream.write(self.getTargetTypeName(field.typeid.name) + ' '
+                          + field.name + ';\n')
 
     def generateIncludes(self, stream):
         stream.write("""import certi.communication.CertiException;
@@ -130,19 +146,25 @@ import hla.rti.SuppliedParameters;
 import certi.rti.impl.CertiLogicalTime;
 import certi.rti.impl.CertiLogicalTimeInterval;
 import hla.rti.LogicalTime;
-import hla.rti.LogicalTimeInterval;\n\n""")
+import hla.rti.LogicalTimeInterval;
+
+""")
 
     def generateHeader(self, stream, factoryOnly=False):
         for native in self.AST.natives:
-            if native.hasLanguage("Java"):                               
+            if native.hasLanguage('Java'):
+
                 # This an example may be it would be worth to check whether if the
-                # refered native types are valids?  
-                for line in native.getLanguageLines("Java"):
-                    stream.write("Found native **" + line.statement + "**\n")
+                # refered native types are valids?
+
+                for line in native.getLanguageLines('Java'):
+                    stream.write('Found native **' + line.statement
+                                 + '**\n')
 
     def prepareName(self, name):
-        upperAfterScore = lambda x:__import__('re').sub(r'_(.)', lambda y:y.group(0).upper(), x)
-        return upperAfterScore(name.lower()).replace("_", "")[1:]
+        upperAfterScore = lambda x: __import__('re').sub(r'_(.)',
+                lambda y: y.group(0).upper(), x)
+        return upperAfterScore(name.lower()).replace('_', '')[1:]
 
     def getSerializeMethodName(self, name):
         if name in self.serializeTypeMap.keys():
@@ -151,7 +173,7 @@ import hla.rti.LogicalTimeInterval;\n\n""")
             representation = self.getRepresentationFor(name)
             if representation:
                 return self.getSerializeMethodName(representation)
-        print "No serialize method name for <%s> " % name            
+        print 'No serialize method name for <%s> ' % name
         return None
 
     def getDeSerializeMethodName(self, name):
@@ -177,7 +199,8 @@ import hla.rti.LogicalTimeInterval;\n\n""")
         """
 
         for msg in self.AST.messages:
-            file = open("messages/" + self.prepareName(msg.name) + ".java", "w")
+            file = open('messages/' + self.prepareName(msg.name)
+                        + '.java', 'w')
 
             file.write("""// ----------------------------------------------------------------------------
 // CERTI - HLA Run Time Infrastructure
@@ -201,113 +224,196 @@ import hla.rti.LogicalTimeInterval;\n\n""")
 """)
 
             if self.AST.hasPackage():
-                file.write("package " + self.AST.package.name + ";\n\n")
-            self.generateIncludes(file);
-            file.write(self.getIndent() + "public class " + self.prepareName(msg.name) + " extends CertiMessage {\n")
+                file.write('package ' + self.AST.package.name
+                           + ''';
+
+''')
+            self.generateIncludes(file)
+            file.write(self.getIndent() + 'public class '
+                       + self.prepareName(msg.name)
+                       + ' extends CertiMessage {\n')
             self.indent()
 
             if len(msg.fields) > 0:
                 for field in msg.fields:
-                    file.write(self.getIndent() + "private ");
+                    file.write(self.getIndent() + 'private ')
+
                     # Combined field and "plain" field must not be treated the same way
-                    if not isinstance(field,GenMsgAST.MessageType.CombinedField):
+
+                    if not isinstance(field,
+                            GenMsgAST.MessageType.CombinedField):
                         self.writeFieldStatement(file, field)
                     else:
+
                         # combined field may be written in a specific way
                         # or the field contained in the combined field may
-                        # be written as usual and Getter/Setter for the combined may be 
+                        # be written as usual and Getter/Setter for the combined may be
                         # generated
+
                         for cfield in field.fields:
                             self.writeFieldStatement(file, cfield)
 
-            file.write("\n")
-            #constructor
-            file.write(self.getIndent() + "public " + self.prepareName(msg.name) + "() {\n")
+            file.write('\n')
+
+            # constructor
+
+            file.write(self.getIndent() + 'public '
+                       + self.prepareName(msg.name) + '() {\n')
             self.indent()
-            file.write(self.getIndent() + "super(CertiMessageType." + msg.name.upper()[2:] + ");\n")
+            file.write(self.getIndent() + 'super(CertiMessageType.'
+                       + msg.name.upper()[2:] + ');\n')
             self.unIndent()
-            file.write(self.getIndent() + "}\n\n");
+            file.write(self.getIndent() + '''}
+
+''')
 
-            file.write(self.getIndent() + "public " + self.prepareName(msg.name) + "(CertiLogicalTime federationTime) {\n")
+            file.write(self.getIndent() + 'public '
+                       + self.prepareName(msg.name)
+                       + '(CertiLogicalTime federationTime) {\n')
             self.indent()
-            file.write(self.getIndent() + "super(CertiMessageType." + msg.name.upper()[2:] + ", federationTime);\n")
+            file.write(self.getIndent() + 'super(CertiMessageType.'
+                       + msg.name.upper()[2:] + ', federationTime);\n')
             self.unIndent()
-            file.write(self.getIndent() + "}\n\n");
+            file.write(self.getIndent() + '''}
 
+''')
 
-            #file.write(self.getIndent() + "public " + self.prepareName(msg.name) + "(double federationTime, attributes) {\n")
-            #TODO attributes in constructor
-            #self.indent()
-            #file.write(self.getIndent() + "super(CertiMessageType." + msg.name.upper()[2:] + ", federationTime);\n")
+            # file.write(self.getIndent() + "public " + self.prepareName(msg.name) + "(double federationTime, attributes) {\n")
+            # TODO attributes in constructor
+            # self.indent()
+            # file.write(self.getIndent() + "super(CertiMessageType." + msg.name.upper()[2:] + ", federationTime);\n")
 
-            #TODO initialize local attributes
-            #self.unIndent()
-            #file.write(self.getIndent() + "}\n\n");
+            # TODO initialize local attributes
+            # self.unIndent()
+            # file.write(self.getIndent() + "}\n\n");
 
             if len(msg.fields) > 0:
-                file.write(self.getIndent() + "@Override\n")
-                file.write(self.getIndent() + "public void writeMessage(MessageBuffer messageBuffer) {\n")
+                file.write(self.getIndent() + '@Override\n')
+                file.write(self.getIndent()
+                           + 'public void writeMessage(MessageBuffer messageBuffer) {\n'
+                           )
                 self.indent()
-                file.write(self.getIndent() + "super.writeMessage(messageBuffer); //Header\n\n");
+                file.write(self.getIndent()
+                           + '''super.writeMessage(messageBuffer); //Header
+
+''')
 
                 for field in msg.fields:
+
                     # Combined field and "plain" field must not be treated the same way
-                    if not isinstance(field,GenMsgAST.MessageType.CombinedField):
-                        file.write(self.getIndent() + self.getSerializeMethodName(field.typeid.name) % field.name + "\n")                                            
+
+                    if not isinstance(field,
+                            GenMsgAST.MessageType.CombinedField):
+                        file.write(self.getIndent()
+                                   + self.getSerializeMethodName(field.typeid.name)
+                                   % field.name + '\n')
                     else:
+
                         # FIXME TODO
+
                         for cfield in field.fields:
-                            pass                    
+                            pass
 
                 self.unIndent()
-                file.write(self.getIndent() + "}\n\n");
+                file.write(self.getIndent() + '''}
 
-                file.write(self.getIndent() + "@Override\n")
-                file.write(self.getIndent() + "public void readMessage(MessageBuffer messageBuffer) throws CertiException {\n")
+''')
+
+                file.write(self.getIndent() + '@Override\n')
+                file.write(self.getIndent()
+                           + 'public void readMessage(MessageBuffer messageBuffer) throws CertiException {\n'
+                           )
                 self.indent()
-                file.write(self.getIndent() + "super.readMessage(messageBuffer); //Header \n\n");
+                file.write(self.getIndent()
+                           + '''super.readMessage(messageBuffer); //Header 
+
+''')
 
                 for field in msg.fields:
+
                     # Combined field and "plain" field must not be treated the same way
-                    if not isinstance(field,GenMsgAST.MessageType.CombinedField):
-                        file.write(self.getIndent() + self.getDeSerializeMethodName(field.typeid.name) % field.name + "\n")                        
+
+                    if not isinstance(field,
+                            GenMsgAST.MessageType.CombinedField):
+                        file.write(self.getIndent()
+                                   + self.getDeSerializeMethodName(field.typeid.name)
+                                   % field.name + '\n')
                     else:
+
                         # FIXME TODO
+
                         for cfield in field.fields:
-                            pass                
+                            pass
 
                 self.unIndent()
-                file.write(self.getIndent() + "}\n\n");
+                file.write(self.getIndent() + '''}
 
-                file.write(self.getIndent() + "@Override\n")
-                file.write(self.getIndent() + "public String toString() {\n")
+''')
+
+                file.write(self.getIndent() + '@Override\n')
+                file.write(self.getIndent()
+                           + 'public String toString() {\n')
                 self.indent()
-                file.write(self.getIndent() + "return (super.toString()");
+                file.write(self.getIndent() + 'return (super.toString()'
+                           )
                 for field in msg.fields:
-                    file.write(" + \", " + field.name + ": \" + " + field.name)
-                file.write(");\n")
+                    file.write(' + ", ' + field.name + ': " + '
+                               + field.name)
+                file.write(');\n')
                 self.unIndent()
-                file.write(self.getIndent() + "}\n\n");
+                file.write(self.getIndent() + '''}
+
+''')
+
+                # GETTERS
 
-                #GETTERS
                 for field in msg.fields:
+
                     # Combined field and "plain" field must not be treated the same way
-                    if not isinstance(field,GenMsgAST.MessageType.CombinedField):
-                        file.write(self.getIndent() + "public " + self.getTargetTypeName(field.typeid.name) + " get" + field.name[0].capitalize() + field.name[1:] + "() {\n");
+
+                    if not isinstance(field,
+                            GenMsgAST.MessageType.CombinedField):
+                        file.write(self.getIndent() + 'public '
+                                   + self.getTargetTypeName(field.typeid.name)
+                                   + ' get'
+                                   + field.name[0].capitalize()
+                                   + field.name[1:] + '() {\n')
                         self.indent()
-                        file.write(self.getIndent() + "return " + field.name + ";\n")
+                        file.write(self.getIndent() + 'return '
+                                   + field.name + ';\n')
                         self.unIndent()
-                        file.write(self.getIndent() + "}\n\n")
+                        file.write(self.getIndent() + '''}
+
+''')
+
+                # SETTERS
 
-                #SETTERS
                 for field in msg.fields:
+
                     # Combined field and "plain" field must not be treated the same way
-                    if not isinstance(field,GenMsgAST.MessageType.CombinedField):
-                        file.write(self.getIndent() + "public void set" + field.name[0].capitalize() + field.name[1:] + "(" + self.getTargetTypeName(field.typeid.name) + " new" + field.name[0].capitalize() + field.name[1:] + ") {\n");
+
+                    if not isinstance(field,
+                            GenMsgAST.MessageType.CombinedField):
+                        file.write(self.getIndent() + 'public void set'
+                                   + field.name[0].capitalize()
+                                   + field.name[1:] + '('
+                                   + self.getTargetTypeName(field.typeid.name)
+                                   + ' new'
+                                   + field.name[0].capitalize()
+                                   + field.name[1:] + ') {\n')
                         self.indent()
-                        file.write(self.getIndent() + "this." + field.name + " = new" + field.name[0].capitalize() + field.name[1:] + ";\n")
+                        file.write(self.getIndent() + 'this.'
+                                   + field.name + ' = new'
+                                   + field.name[0].capitalize()
+                                   + field.name[1:] + ';\n')
                         self.unIndent()
-                        file.write(self.getIndent() + "}\n\n")
+                        file.write(self.getIndent() + '''}
+
+''')
+
+            file.write('''}
 
-            file.write("}\n\n")
+''')
             self.unIndent()
+
+
diff --git a/scripts/GenMsgPython.py b/scripts/GenMsgPython.py
index c049fd2..6939092 100644
--- a/scripts/GenMsgPython.py
+++ b/scripts/GenMsgPython.py
@@ -1,3 +1,5 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 ## ----------------------------------------------------------------------------
 ## CERTI - HLA RunTime Infrastructure
 ## Copyright (C) 2002-2005  ONERA
@@ -24,20 +26,24 @@
 The CERTI Message Generator.
 Python Backend Generator
 """
+
 import logging
-import GenMsgBase       
-                           
+import GenMsgBase
+
+
 class PythonGenerator(GenMsgBase.CodeGenerator):
+
     """
     This is a Python generator for C{MessageAST}.
     """
-    
+
     def generatorName(cls):
-        return "Python"    
+        return 'Python'
+
     generatorName = classmethod(generatorName)
-    
-    
-    def __init__(self,MessageAST):
-        super(PythonGenerator,self).__init__(MessageAST,"##")
+
+    def __init__(self, MessageAST):
+        super(PythonGenerator, self).__init__(MessageAST, '##')
+
+
         # Message builtin type to Python type
-        
\ No newline at end of file
